SLES 12.5 Development tools missing pam-devel 32bit

I have an application that needs pam-devel32. I cannot find a version for SLES 12 SP5 in any of the SLES repositories. Does anyone know where I can find it?

Brian

Comments

  • malcolmlewismalcolmlewis Knowledge Partner
    edited April 11

    @bbellrose Hi and welcome to the Forum :)
    There is no 32bit development only lib support, does pam-devel headers not suffice? What headers are you looking for or trying to compile? What platform, x86_64 etc?

  • My developers have an old 32bit app that is looking for /usr/lib/libpam.so and the other 32bit versions of pam-devel package. I am running on x86_64. I have the 64bit development package installed, but it is not working for them.

    zypper se pam-devel
    Refreshing service 'SUSE_Linux_Enterprise_Server_x86_64'.
    Refreshing service 'SUSE_Linux_Enterprise_Software_Development_Kit_x86_64'.
    Refreshing service 'SUSE_Package_Hub_x86_64'.
    Loading repository data...
    Reading installed packages...

    S | Name | Summary | Type
    ---+-----------+-------------------------------------------------+--------
    i+ | pam-devel | Include Files and Libraries for PAM-Development | package

    Are you saying the 64bit version should be ok? Can I set up a softlink for /usr/lib that points to /usr/lib64 so they can compile their software?

    Brian

  • malcolmlewismalcolmlewis Knowledge Partner

    @bbellrose Hi, not possible anymore, creating a link won't work (ELF error). No 32bit development anymore.... :( Maybe run it in docker or other container?

Sign In or Register to comment.